CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-6662

Oracle MySQL through 5.5.52, 5.6.x through 5.6.33, and 5.7.x through 5.7.15; MariaDB before 5.5.51, 10.0.x before 10.0.27, and 10.1.x before 10.1.17; and Percona Server before 5.5.51-38.1, 5.6.x before 5.6.32-78.0, and 5.7.x before 5.7.14-7 allow local users to create arbitrary configurations and bypass certain protection mechanisms by setting general_log_file to a my.cnf configuration. NOTE: this can be leveraged to execute arbitrary code with root privileges by setting malloc_lib. NOTE: the affected MySQL version information is from Oracle's October 2016 CPU. Oracle has not commented on third-party claims that the issue was silently patched in MySQL 5.5.52, 5.6.33, and 5.7.15.
Publish Date : 2016-09-20 Last Update Date : 2019-06-03
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeBypass a restriction or similar
CWE ID 264

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:2595: mariadb security and bug fix update (Important) oval:com.redhat.rhsa:def:20162595 unix
RHSA-2017:0184: mysql security update (Important) oval:com.redhat.rhsa:def:20170184 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2016-6662

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
2 Application Mariadb Mariadb * * * * Version Details Vulnerabilities
3 Application Oracle Mysql * * * * Version Details Vulnerabilities
4 Application Percona Percona Server * * * * Version Details Vulnerabilities
5 OS Redhat Enterprise Linux 7.0 * * * Version Details Vulnerabilities
6 OS Redhat Enterprise Linux Desktop 6.0 * * * Version Details Vulnerabilities
7 OS Redhat Enterprise Linux Desktop 7.0 * * * Version Details Vulnerabilities
8 OS Redhat Enterprise Linux Server 6.0 * * * Version Details Vulnerabilities
9 OS Redhat Enterprise Linux Server Aus 7.3 * * * Version Details Vulnerabilities
10 OS Redhat Enterprise Linux Server Aus 7.4 * * * Version Details Vulnerabilities
11 OS Redhat Enterprise Linux Server Aus 7.6 * * * Version Details Vulnerabilities
12 OS Redhat Enterprise Linux Server Eus 7.3 * * * Version Details Vulnerabilities
13 OS Redhat Enterprise Linux Server Eus 7.4 * * * Version Details Vulnerabilities
14 OS Redhat Enterprise Linux Server Eus 7.5 * * * Version Details Vulnerabilities
15 OS Redhat Enterprise Linux Server Eus 7.6 * * * Version Details Vulnerabilities
16 OS Redhat Enterprise Linux Server Tus 7.3 * * * Version Details Vulnerabilities
17 OS Redhat Enterprise Linux Server Tus 7.6 * * * Version Details Vulnerabilities
18 OS Redhat Enterprise Linux Workstation 6.0 * * * Version Details Vulnerabilities
19 OS Redhat Enterprise Linux Workstation 7.0 * * * Version Details Vulnerabilities
20 Application Redhat Openstack 5.0 * * * Version Details Vulnerabilities
21 Application Redhat Openstack 6.0 * * * Version Details Vulnerabilities
22 Application Redhat Openstack 7.0 * * * Version Details Vulnerabilities
23 Application Redhat Openstack 8.0 * * * Version Details Vulnerabilities
24 Application Redhat Openstack 9.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Mariadb Mariadb 1
Oracle Mysql 1
Percona Percona Server 1
Redhat Enterprise Linux 1
Redhat Enterprise Linux Desktop 2
Redhat Enterprise Linux Server 1
Redhat Enterprise Linux Server Aus 3
Redhat Enterprise Linux Server Eus 4
Redhat Enterprise Linux Server Tus 2
Redhat Enterprise Linux Workstation 2
Redhat Openstack 5

- References For CVE-2016-6662

http://rhn.redhat.com/errata/RHSA-2016-2059.html
REDHAT RHSA-2016:2059
http://rhn.redhat.com/errata/RHSA-2016-2060.html
REDHAT RHSA-2016:2060
http://rhn.redhat.com/errata/RHSA-2016-2130.html
REDHAT RHSA-2016:2130
http://rhn.redhat.com/errata/RHSA-2016-2077.html
REDHAT RHSA-2016:2077
http://rhn.redhat.com/errata/RHSA-2016-2062.html
REDHAT RHSA-2016:2062
http://www.debian.org/security/2016/dsa-3666
DEBIAN DSA-3666
http://www.securitytracker.com/id/1036769
SECTRACK 1036769
http://rhn.redhat.com/errata/RHSA-2017-0184.html
REDHAT RHSA-2017:0184
http://rhn.redhat.com/errata/RHSA-2016-2928.html
REDHAT RHSA-2016:2928
http://rhn.redhat.com/errata/RHSA-2016-2927.html
REDHAT RHSA-2016:2927
http://rhn.redhat.com/errata/RHSA-2016-2749.html
REDHAT RHSA-2016:2749
https://security.gentoo.org/glsa/201701-01
GENTOO GLSA-201701-01
http://rhn.redhat.com/errata/RHSA-2016-2595.html
REDHAT RHSA-2016:2595
http://www.securityfocus.com/bid/92912
BID 92912 Oracle MySQL CVE-2016-6662 Remote Code Execution Vulnerability Release Date:2017-01-31
http://rhn.redhat.com/errata/RHSA-2016-2131.html
REDHAT RHSA-2016:2131
http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2016-2058.html
REDHAT RHSA-2016:2058
https://www.exploit-db.com/exploits/40360/
EXPLOIT-DB 40360
http://rhn.redhat.com/errata/RHSA-2016-2061.html
REDHAT RHSA-2016:2061
https://mariadb.com/kb/en/mariadb/mariadb-10027-release-notes/ CONFIRM
http://www.openwall.com/lists/oss-security/2016/09/12/3
MLIST [oss-security] 20160912 CVE-2016-6662 - MySQL Remote Root Code Execution / Privilege Escalation ( 0day )
https://mariadb.com/kb/en/mariadb/mariadb-10117-release-notes/ CONFIRM
https://jira.mariadb.org/browse/MDEV-10465 CONFIRM
https://www.percona.com/blog/2016/09/12/percona-server-critical-update-cve-2016-6662/ CONFIRM
https://mariadb.com/kb/en/mariadb/mariadb-5551-release-notes/ CONFIRM
http://seclists.org/fulldisclosure/2016/Sep/23
FULLDISC 20160912 CVE-2016-6662 - MySQL Remote Root Code Execution / Privilege Escalation ( 0day )
http://legalhackers.com/advisories/MySQL-Exploit-Remote-Root-Code-Execution-Privesc-CVE-2016-6662.html

- Metasploit Modules Related To CVE-2016-6662

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.